###################################################################
#########       Following is for submission to CDash   ############
###################################################################
set(MODEL "BuildBot")
#####       Following controls CDash submission               #####
set(LOCAL_SUBMIT "FALSE")
###################################################################
###################################################################
set(SITE_BUILDNAME_SUFFIX STATIC)
set(CDASH_LOCAL FALSE)
set(REPOSITORY_URL ssh://git@bitbucket.hdfgroup.org:7999/hdfview/hdf-java.git)
set(REPOSITORY_BRANCH hdf_java_3_3_2)
#set(CTEST_USE_GIT_SOURCE true)
#set(USE_SOURCE_PACK true)
###################################################################
####      ext libraries       ####
### ext libs from tgz
set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DHDF_ALLOW_EXTERNAL_SUPPORT:STRING=TGZ -DTGZPATH:PATH=${CTEST_SCRIPT_DIRECTORY}")
### ext libs on system
#set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DZLIB_LIBRARY:FILEPATH=some_location/lib/zlib.lib -DZLIB_INCLUDE_DIR:PATH=some_location/include")
#set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DSZIP_LIBRARY:FILEPATH=some_location/lib/szlib.lib -DSZIP_INCLUDE_DIR:PATH=some_location/include")
### disable ext libs building
#set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DHDF_ENABLE_Z_LIB_SUPPORT:BOOL=OFF")
#set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DHDF_ENABLE_SZIP_SUPPORT:BOOL=OFF")
#set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DHDF_ENABLE_SZIP_ENCODING:BOOL=OFF")
###################################################################
set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DCDASH_LOCAL:BOOL=ON")
set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DBUILD_SHARED_LIBS:BOOL=OFF")
set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DUSE_SHARED_LIBS:BOOL=OFF")
set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DBUILD_TESTING:BOOL=ON")
set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DHDF_PACKAGE_EXTLIBS:BOOL=ON")
set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DHDFJAVA_PACK_EXAMPLES:BOOL=ON")
set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DHDFJAVA_EXAMPLES_COMPRESSED:STRING=HDFJNIExamples-0.1.1-Source.tar.gz")
set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DHDFJAVA_EXAMPLES_COMPRESSED_DIR:PATH=${CTEST_SCRIPT_DIRECTORY}")
set(ADD_BUILD_OPTIONS "${ADD_BUILD_OPTIONS} -DOVERRIDE_INSTALL_VERSION:STRING=3.3.2")
###################################################################
if(SITE_BUILDNAME_SUFFIX)
  set(SITE_BUILDNAME_SUFFIX "-${SITE_BUILDNAME_SUFFIX}")
endif()
set(SITE_BUILDNAME_SUFFIX "hdfjava-default${SITE_BUILDNAME_SUFFIX}")
